Subject: RE: Linking a .dll using the .lib.
From: [email-masked] (Anders Norlander)

28 Nov 1998 16:57:33 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: "Jens Yllman" <[email-masked]>, "GNUWin32" <[email-masked]>

> Hello,
>
> I'm trying to use a .lib file with ld to get access to a .dll. I get a
>few warings like the following one.
>
>/cygnus/cygwin-b20/H-i586-cygwin32/i586-cygwin32/bin/ld:
>arapi40.lib(arapi40.dll): warning: ignoring duplicate section `.idata$5'
>
> The .exe is created, but when I run the .exe I get a message saying:
>
> "The procedure entry point could not be located in the dynamic link
>library xxx.dll"
>
> Anyone here that knows how to link a .dll this way????

You should create an import library with dlltool, something like
this:
echo "EXPORS" >arapi40.def
# extract exports
`nm arapi40.lib | grep ' T ' | sed 's/........ T _//g' >>arapi40.def'
dlltool -k --def arapi40.def --dllname arapi40.dll --output-lib libarapi40.a

Anders Norlander

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".